Announcements
Attention for Customers without Multi-Factor Authentication or Single Sign-On - OTP Verification rolls out April 2025. Read all about it here.

Invisible polylines

kostial.mk
Enthusiast

Invisible polylines

kostial.mk
Enthusiast
Enthusiast

Hello everyone,

 

I've received a dwg file from surveyors, which contained 3D linework (mostly 3D polylines and 3D splines). Now as I am creating a background overlay which should be 2D I ran across some polylines I cannot see, though I can select them through QuickSelect, or SelectAll. All layers are on and thawned.

 

The strange thing about them is, that when I run command List on them, there is a line which says "Invisible".

kostialmk_0-1632204141627.png

 

I wasn't able to find anything on Google, so I am turning to the forum. What are invisible polylines? How to work with them and to make them visible?

0 Likes
Reply
Accepted solutions (1)
1,897 Views
4 Replies
Replies (4)

3wood
Advisor
Advisor

The command to hide an object is HIDEOBJECTS. It makes selected objects 'Invisible'.

To show them, simply use command UNHIDE.

0 Likes

kostial.mk
Enthusiast
Enthusiast

Thank you for your reply, but this is not that. I have tried unisolating, but nothing happend.

 

kostialmk_0-1632208898228.png

 

0 Likes

3wood
Advisor
Advisor
Accepted solution

Not sure what is wrong.

Just try following code. Save it as a lisp file, load it with command APPLOAD, and type VISIBLE to show all hidden objects.

 

;;; Make everything visible. By 3wood 2021.09.21
(defun C:VISIBLE (/ s1 n1)
  (setq s1 (ssget "x")
	n1 0)
  (repeat (sslength s1)
    (vla-put-visible (vlax-ename->vla-object (ssname s1 n1)) :vlax-true)
    (setq n1 (1+ n1))
    )
  )

 

0 Likes

kostial.mk
Enthusiast
Enthusiast

Thank you, 

 

this worked, this unisolated the invisible polylines, though I am not sure, what happend.

0 Likes